; -- some comments

[path]

; plugins directory

plugins = plugins

; cache directory

cache = cache

; comments files directory

comments = comments



; ----- cache options

[cache]

; use cache (yes/no)

enable = yes

; cache expiration timeout

expiration = 86400



; --- cache distribution

[distribute]

; plugin://host = weight

http://autoselect = auto


; ----- name validation conditions

[validation]


; valid chars enumeration

valid_chars = "abcdefghijklmnopqrstuvwxyz-0123456789"

; valid first char (leave empty if dont care)

valid_first_char = "abcdefghijklmnopqrstuvwxyz0123456789"

; minimum chars in name

min_chars = 1

; maximum chars in name

max_chars = 63

name_like = 

answer_like = 


; ----- comments detection

[comments]

; you may add perl regexp(s) to determine comment line

string_like []            = "/^%/"

string_like[] = "/^;/"



; you may add files, consists of data, appended to results by server

; text_eq_file[] = "1.txt"

text_eq_file = 



; ----- analyse options

[analyse]

free_like[] = "/domain is free/im"

ordered_like[] = "/domain is = registered/im"

expiration_rules[abc] = "[\t\n\r ]+\n[\t\n\r ]+"

expiration_rules[def] = "[\t\n\r ]+\n[\t\n\r ]+"

expiration_rules[5] = "[\t\n\r ]+\n[\t\n\r ]+"

expiration_rules[] = "[\t\n\r ]+\n[\t\n\r ]+"

expiration_rules[] = "[\t\n\r ]+\n[\t\n\r ]+"

